// 2019-08-22 ffgl@subpixels.com

#include "ParamBase.h"

namespace ffgl
{

ParamBase::ParamBase( const std::string& name, ParameterType type ) :
	ParamBase( name, type, name )
{
}

ParamBase::ParamBase( const std::string& name, ParameterType type, const std::string& uniformName ) :
	name( name ),
	type( type ),
	uniformName( uniformName ),
	uniformLocation( -1 )
{
}

ParamBase::~ParamBase()
{
}

const std::string& ParamBase::GetName() const
{
	return name;
}

ParameterType ParamBase::GetType() const
{
	return type;
}

const std::string& ParamBase::GetUniformName() const
{
	return uniformName;
}

void ParamBase::SetUniformName(const std::string& name)
{
	uniformName = name;
}

const GLint ParamBase::GetUniformLocation() const
{
	return uniformLocation;
}

void ParamBase::SetUniformLocation( GLint location )
{
	uniformLocation = location;
}

}//End namespace ffgl